UploadWizard: Category suggestions truncated after dot in name
Closed, ResolvedPublic

Description

FF RC; Screenshot illustrating the issue

Reproducing:

  • https://commons.wikimedia.org/wiki/Special:UploadWizard
  • Enter Supermarine S.6 (not by c&p but by typing)
  • CoolCats suggests "Supermarine S" two times while it should suggest Category:Supermarine S.6B and Category:Supermarine S.6
  • API query returns correct result; Just UpWiz/CoolCats is doing something wrong

Version: unspecified
Severity: normal

Attached:

Rillke created this task.Via LegacyMay 2 2014, 7:27 PM
gerritbot added a comment.Via ConduitMay 3 2014, 7:40 PM

Change 131277 had a related patch set uploaded by Rillke:
JS/mw.api: List Categories as MainText not as NameText

https://gerrit.wikimedia.org/r/131277

gerritbot added a comment.Via ConduitMay 4 2014, 2:10 PM

Change 131277 merged by jenkins-bot:
mediawiki.api: Don't apply file extension stripping to category names

https://gerrit.wikimedia.org/r/131277

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:26 AM
Gilles triaged this task as "Unbreak Now!" priority.Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Needs Triage".Via ConduitDec 4 2014, 11:21 AM
Legoktm edited projects, added MW-1.24-release; removed MW-extension-1.24-version.Via WebDec 16 2014, 6:45 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.